# Uses of Enum Class
org.springframework.beans.factory.annotation.Autowire

Packages that use Autowire
Package
Description
org.springframework.beans.factory.annotation
Support package for annotation-driven bean configuration.

## Uses of Autowire in org.springframework.beans.factory.annotation

Methods in org.springframework.beans.factory.annotation that return Autowire
Modifier and Type
Method
Description
`static Autowire`
Autowire.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Autowire[]`
Autowire.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.